summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-12-12 11:18:18 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-12-12 11:18:18 +0000
commitc23022eba5660c1422003fe7779f54e1300535c2 (patch)
tree1f70b4939879384816c7dc6bffad91b1c0e282a9
parent3cf7d93605f1b2289cb46a5d26b0575b5a272f54 (diff)
round-robin.sh: Better handle build failures in binutils and gcc
Initialize baseline repo for components further down the build pipeline from the failed component. Change-Id: I4d6823011d0dd0cb1daefefc3f201d08bc94ce1e
-rw-r--r--round-robin.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/round-robin.sh b/round-robin.sh
index e2e9bc90..3adea87d 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -780,6 +780,17 @@ push_baseline ()
local c
for c in $(print_updated_components); do
+ if ! git -C $c remote show -n baseline >/dev/null 2>&1; then
+ # It appears we failed before component $c had a chance to build.
+ # Initialize baseline repo so that we can push to it.
+ # Note that this can, potentially, skip regressions in components
+ # down in build pipeline (glibc, qemu) when earlier components
+ # fail to build (binutils, gcc). This is not a big problem
+ # because these regressions will be skipped in CI configs where we
+ # only "build" components, but will be caught in CI configs where
+ # we run testsuites, benchmarks, etc.
+ clone_baseline_repo $c empty false
+ fi
git_push $c baseline ${rr[baseline_branch]}
done
)